#!/usr/bin/env bash

echo "Setting up experimental environment"
echo
echo "**********************************************"
echo "** Note: this wouldn't be necessary if      **"
echo "** I was using a saved disk image snapshot! **"
echo "**********************************************"
echo

echo "Installing packages ..."
echo

# upgrade pip
sudo pip install --user -U pip

# install tensorflow
sudo pip3 install tensorflow

# download cudnn
curl -\#LO https://developer.download.nvidia.com/compute/machine-learning/repos/ubuntu1804/x86_64/libcudnn7_7.6.5.32-1+cuda10.1_amd64.deb

# install cudnn
sudo dpkg -i libcudnn7_7.6.5.32-1+cuda10.1_amd64.deb

# install matplotlib
sudo pip install matplotlib

# install tensorflow-datasets
sudo pip install tensorflow-datasets

# install tensorflow for gpu
sudo pip install tensorflow-gpu 

# install python-csv 
sudo pip install python-csv

sudo pip install pandas

sudo pip install scikit-learn

sudo pip install more-itertools

sudo pip install kaggle



echo "Packages Installed"
echo

